org.apache.cassandra.db.rows

## Class RangeTombstoneBoundaryMarker

- java.lang.Object
- - org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker<ClusteringBoundary>
  - - org.apache.cassandra.db.rows.RangeTombstoneBoundaryMarker

All Implemented Interfaces:
  Clusterable, RangeTombstoneMarker, Unfiltered

    public class RangeTombstoneBoundaryMarker
    extends AbstractRangeTombstoneMarker<ClusteringBoundary>

A range tombstone marker that represents a boundary between 2 range tombstones (i.e. it closes one range and open another).

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.RangeTombstoneMarker

`RangeTombstoneMarker.Merger`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.Unfiltered

`Unfiltered.Kind`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker

`bound`

### Constructor Summary

Constructors
Constructor and Description
`RangeTombstoneBoundaryMarker(ClusteringBoundary bound, DeletionTime endDeletion, DeletionTime startDeletion)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClusteringBound` `closeBound(boolean reversed)`
`DeletionTime` `closeDeletionTime(boolean reversed)`
`boolean` `closeIsInclusive(boolean reversed)`
`RangeTombstoneBoundaryMarker` `copy(AbstractAllocator allocator)`
`RangeTombstoneBoundMarker` `createCorrespondingCloseMarker(boolean reversed)`
`RangeTombstoneBoundMarker` `createCorrespondingOpenMarker(boolean reversed)`
`void` `digest(java.security.MessageDigest digest)` Digest the atom using the provided `MessageDigest`.
`void` `digest(java.security.MessageDigest digest, java.util.Set<java.nio.ByteBuffer> columnsToExclude)` Digest the atom using the provided `MessageDigest`.
`DeletionTime` `endDeletionTime()` The deletion time for the range tombstone this boundary ends (in clustering order).
`boolean` `equals(java.lang.Object other)`
`static RangeTombstoneBoundaryMarker` `exclusiveCloseInclusiveOpen(boolean reversed, java.nio.ByteBuffer[] boundValues, DeletionTime closeDeletion, DeletionTime openDeletion)`
`int` `hashCode()`
`static RangeTombstoneBoundaryMarker` `inclusiveCloseExclusiveOpen(boolean reversed, java.nio.ByteBuffer[] boundValues, DeletionTime closeDeletion, DeletionTime openDeletion)`
`boolean` `isClose(boolean reversed)`
`boolean` `isOpen(boolean reversed)`
`static RangeTombstoneBoundaryMarker` `makeBoundary(boolean reversed, ClusteringBound close, ClusteringBound open, DeletionTime closeDeletion, DeletionTime openDeletion)`
`ClusteringBound` `openBound(boolean reversed)`
`DeletionTime` `openDeletionTime(boolean reversed)`
`boolean` `openIsInclusive(boolean reversed)`
`DeletionTime` `startDeletionTime()` The deletion time for the range tombstone this boundary starts (in clustering order).
`java.lang.String` `toString(CFMetaData metadata)`
`RangeTombstoneBoundaryMarker` `withNewOpeningDeletionTime(boolean reversed, DeletionTime newDeletionTime)`

### Methods inherited from class org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker

`clustering, isBoundary, kind, toString, toString, validateData`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.rows.RangeTombstoneMarker

`isEmpty`

### Methods inherited from interface org.apache.cassandra.db.rows.Unfiltered

`isRangeTombstoneMarker, isRow`

### Constructor Detail

#### RangeTombstoneBoundaryMarker

    public RangeTombstoneBoundaryMarker(ClusteringBoundary bound,
                                        DeletionTime endDeletion,
                                        DeletionTime startDeletion)

### Method Detail

#### exclusiveCloseInclusiveOpen

    public static RangeTombstoneBoundaryMarker exclusiveCloseInclusiveOpen(boolean reversed,
                                                                           java.nio.ByteBuffer[] boundValues,
                                                                           DeletionTime closeDeletion,
                                                                           DeletionTime openDeletion)

#### inclusiveCloseExclusiveOpen

    public static RangeTombstoneBoundaryMarker inclusiveCloseExclusiveOpen(boolean reversed,
                                                                           java.nio.ByteBuffer[] boundValues,
                                                                           DeletionTime closeDeletion,
                                                                           DeletionTime openDeletion)

#### endDeletionTime

    public DeletionTime endDeletionTime()

The deletion time for the range tombstone this boundary ends (in clustering order).

#### startDeletionTime

    public DeletionTime startDeletionTime()

The deletion time for the range tombstone this boundary starts (in clustering order).

#### closeDeletionTime

    public DeletionTime closeDeletionTime(boolean reversed)

#### openDeletionTime

    public DeletionTime openDeletionTime(boolean reversed)

#### openIsInclusive

    public boolean openIsInclusive(boolean reversed)

#### openBound

    public ClusteringBound openBound(boolean reversed)

#### closeBound

    public ClusteringBound closeBound(boolean reversed)

#### closeIsInclusive

    public boolean closeIsInclusive(boolean reversed)

#### isOpen

    public boolean isOpen(boolean reversed)

Specified by:
  `isOpen` in interface `RangeTombstoneMarker`
Overrides:
  `isOpen` in class `AbstractRangeTombstoneMarker<ClusteringBoundary>`

#### isClose

    public boolean isClose(boolean reversed)

Specified by:
  `isClose` in interface `RangeTombstoneMarker`
Overrides:
  `isClose` in class `AbstractRangeTombstoneMarker<ClusteringBoundary>`

#### copy

    public RangeTombstoneBoundaryMarker copy(AbstractAllocator allocator)

#### withNewOpeningDeletionTime

    public RangeTombstoneBoundaryMarker withNewOpeningDeletionTime(boolean reversed,
                                                                   DeletionTime newDeletionTime)

#### makeBoundary

    public static RangeTombstoneBoundaryMarker makeBoundary(boolean reversed,
                                                            ClusteringBound close,
                                                            ClusteringBound open,
                                                            DeletionTime closeDeletion,
                                                            DeletionTime openDeletion)

#### createCorrespondingCloseMarker

    public RangeTombstoneBoundMarker createCorrespondingCloseMarker(boolean reversed)

#### createCorrespondingOpenMarker

    public RangeTombstoneBoundMarker createCorrespondingOpenMarker(boolean reversed)

#### digest

    public void digest(java.security.MessageDigest digest)

Description copied from interface: `Unfiltered`
Digest the atom using the provided `MessageDigest`.

Parameters:
  `digest` - the `MessageDigest` to use.

#### digest

    public void digest(java.security.MessageDigest digest,
                       java.util.Set<java.nio.ByteBuffer> columnsToExclude)

Description copied from interface: `Unfiltered`
Digest the atom using the provided `MessageDigest`. This method only exists in 3.11. Same like `Unfiltered.digest(MessageDigest)`, but excludes the given columns from digest calculation.

#### toString

    public java.lang.String toString(CFMetaData metadata)

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`